| GitHub Repository | Product Reference | RPC Documentation |
Service Description: Tool service provides APIs for interacting with CES tools.
This class provides the ability to make remote calls to the backing service through method calls that map to API methods. Sample code to get started:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ExecuteToolRequest request =
ExecuteToolRequest.newBuilder()
.setParent(AppName.of("[PROJECT]", "[LOCATION]", "[APP]").toString())
.setArgs(Struct.newBuilder().build())
.build();
ExecuteToolResponse response = toolServiceClient.executeTool(request);
}
Note: close() needs to be called on the ToolServiceClient object to clean up resources such as threads. In the example above, try-with-resources is used, which automatically calls close().
| Method | Description | Method Variants |
|---|---|---|
ExecuteTool |
Executes the given tool with the given arguments. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
RetrieveToolSchema |
Retrieve the schema of the given tool. The schema is computed on the fly for the given instance of the tool. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
RetrieveTools |
Retrieve the list of tools included in the specified toolset. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
ListLocations |
Lists information about the supported locations for this service.This method can be called in two ways: * **List all public locations:** Use the path |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
GetLocation |
Gets information about a location. |
Request object method variants only take one parameter, a request object, which must be constructed before the call.
Callable method variants take no parameters and return an immutable API callable object, which can be used to initiate calls to the service.
|
See the individual methods for example code.
Many parameters require resource names to be formatted in a particular way. To assist with these names, this class includes a format method for each type of name, and additionally a parse method to extract the individual identifiers contained within names that are returned.
This class can be customized by passing in a custom instance of ToolServiceSettings to create(). For example:
To customize credentials:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ToolServiceSettings toolServiceSettings =
ToolServiceSettings.newBuilder()
.setCredentialsProvider(FixedCredentialsProvider.create(myCredentials))
.build();
ToolServiceClient toolServiceClient = ToolServiceClient.create(toolServiceSettings);
To customize the endpoint:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ToolServiceSettings toolServiceSettings =
ToolServiceSettings.newBuilder().setEndpoint(myEndpoint).build();
ToolServiceClient toolServiceClient = ToolServiceClient.create(toolServiceSettings);
To use REST (HTTP1.1/JSON) transport (instead of gRPC) for sending and receiving requests over the wire:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
ToolServiceSettings toolServiceSettings = ToolServiceSettings.newHttpJsonBuilder().build();
ToolServiceClient toolServiceClient = ToolServiceClient.create(toolServiceSettings);
Please refer to the GitHub repository's samples for more quickstart code snippets.
Static Methods
create()
public static final ToolServiceClient create()Constructs an instance of ToolServiceClient with default settings.
| Returns | |
|---|---|
| Type | Description |
ToolServiceClient |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
create(ToolServiceSettings settings)
public static final ToolServiceClient create(ToolServiceSettings settings)Constructs an instance of ToolServiceClient, using the given settings. The channels are created based on the settings passed in, or defaults for any settings that are not set.
| Parameter | |
|---|---|
| Name | Description |
settings |
ToolServiceSettings |
| Returns | |
|---|---|
| Type | Description |
ToolServiceClient |
|
| Exceptions | |
|---|---|
| Type | Description |
IOException |
|
create(ToolServiceStub stub)
public static final ToolServiceClient create(ToolServiceStub stub)Constructs an instance of ToolServiceClient, using the given stub for making calls. This is for advanced usage - prefer using create(ToolServiceSettings).
| Parameter | |
|---|---|
| Name | Description |
stub |
ToolServiceStub |
| Returns | |
|---|---|
| Type | Description |
ToolServiceClient |
|
Constructors
ToolServiceClient(ToolServiceSettings settings)
protected ToolServiceClient(ToolServiceSettings settings)Constructs an instance of ToolServiceClient, using the given settings. This is protected so that it is easy to make a subclass, but otherwise, the static factory methods should be preferred.
| Parameter | |
|---|---|
| Name | Description |
settings |
ToolServiceSettings |
ToolServiceClient(ToolServiceStub stub)
protected ToolServiceClient(ToolServiceStub stub)| Parameter | |
|---|---|
| Name | Description |
stub |
ToolServiceStub |
Methods
awaitTermination(long duration, TimeUnit unit)
public boolean awaitTermination(long duration, TimeUnit unit)| Parameters | |
|---|---|
| Name | Description |
duration |
long |
unit |
TimeUnit |
| Returns | |
|---|---|
| Type | Description |
boolean |
|
| Exceptions | |
|---|---|
| Type | Description |
InterruptedException |
|
close()
public final void close()executeTool(ExecuteToolRequest request)
public final ExecuteToolResponse executeTool(ExecuteToolRequest request)Executes the given tool with the given arguments.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ExecuteToolRequest request =
ExecuteToolRequest.newBuilder()
.setParent(AppName.of("[PROJECT]", "[LOCATION]", "[APP]").toString())
.setArgs(Struct.newBuilder().build())
.build();
ExecuteToolResponse response = toolServiceClient.executeTool(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
ExecuteToolRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
ExecuteToolResponse |
|
executeToolCallable()
public final UnaryCallable<ExecuteToolRequest,ExecuteToolResponse> executeToolCallable()Executes the given tool with the given arguments.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ExecuteToolRequest request =
ExecuteToolRequest.newBuilder()
.setParent(AppName.of("[PROJECT]", "[LOCATION]", "[APP]").toString())
.setArgs(Struct.newBuilder().build())
.build();
ApiFuture<ExecuteToolResponse> future =
toolServiceClient.executeToolCallable().futureCall(request);
// Do something.
ExecuteToolResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<ExecuteToolRequest,ExecuteToolResponse> |
|
getLocation(GetLocationRequest request)
public final Location getLocation(GetLocationRequest request)Gets information about a location.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
GetLocationRequest request = GetLocationRequest.newBuilder().setName("name3373707").build();
Location response = toolServiceClient.getLocation(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
com.google.cloud.location.GetLocationRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
com.google.cloud.location.Location |
|
getLocationCallable()
public final UnaryCallable<GetLocationRequest,Location> getLocationCallable()Gets information about a location.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
GetLocationRequest request = GetLocationRequest.newBuilder().setName("name3373707").build();
ApiFuture<Location> future = toolServiceClient.getLocationCallable().futureCall(request);
// Do something.
Location response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<com.google.cloud.location.GetLocationRequest,com.google.cloud.location.Location> |
|
getSettings()
public final ToolServiceSettings getSettings()| Returns | |
|---|---|
| Type | Description |
ToolServiceSettings |
|
getStub()
public ToolServiceStub getStub()| Returns | |
|---|---|
| Type | Description |
ToolServiceStub |
|
isShutdown()
public boolean isShutdown()| Returns | |
|---|---|
| Type | Description |
boolean |
|
isTerminated()
public boolean isTerminated()| Returns | |
|---|---|
| Type | Description |
boolean |
|
listLocations(ListLocationsRequest request)
public final ToolServiceClient.ListLocationsPagedResponse listLocations(ListLocationsRequest request)Lists information about the supported locations for this service.This method can be called in two ways:
* **List all public locations:** Use the path GET /v1/locations.*
**List project-visible locations:** Use the pathGET
/v1/projects/{project_id}/locations. This may include publiclocations as well as private or
other locations specifically visibleto the project.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ListLocationsRequest request =
ListLocationsRequest.newBuilder()
.setName("name3373707")
.setFilter("filter-1274492040")
.setPageSize(883849137)
.setPageToken("pageToken873572522")
.build();
for (Location element : toolServiceClient.listLocations(request).iterateAll()) {
// doThingsWith(element);
}
}
| Parameter | |
|---|---|
| Name | Description |
request |
com.google.cloud.location.ListLocationsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
ToolServiceClient.ListLocationsPagedResponse |
|
listLocationsCallable()
public final UnaryCallable<ListLocationsRequest,ListLocationsResponse> listLocationsCallable()Lists information about the supported locations for this service.This method can be called in two ways:
* **List all public locations:** Use the path GET /v1/locations.*
**List project-visible locations:** Use the pathGET
/v1/projects/{project_id}/locations. This may include publiclocations as well as private or
other locations specifically visibleto the project.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ListLocationsRequest request =
ListLocationsRequest.newBuilder()
.setName("name3373707")
.setFilter("filter-1274492040")
.setPageSize(883849137)
.setPageToken("pageToken873572522")
.build();
while (true) {
ListLocationsResponse response = toolServiceClient.listLocationsCallable().call(request);
for (Location element : response.getLocationsList()) {
// doThingsWith(element);
}
String nextPageToken = response.getNextPageToken();
if (!Strings.isNullOrEmpty(nextPageToken)) {
request = request.toBuilder().setPageToken(nextPageToken).build();
} else {
break;
}
}
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<com.google.cloud.location.ListLocationsRequest,com.google.cloud.location.ListLocationsResponse> |
|
listLocationsPagedCallable()
public final UnaryCallable<ListLocationsRequest,ToolServiceClient.ListLocationsPagedResponse> listLocationsPagedCallable()Lists information about the supported locations for this service.This method can be called in two ways:
* **List all public locations:** Use the path GET /v1/locations.*
**List project-visible locations:** Use the pathGET
/v1/projects/{project_id}/locations. This may include publiclocations as well as private or
other locations specifically visibleto the project.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
ListLocationsRequest request =
ListLocationsRequest.newBuilder()
.setName("name3373707")
.setFilter("filter-1274492040")
.setPageSize(883849137)
.setPageToken("pageToken873572522")
.build();
ApiFuture<Location> future =
toolServiceClient.listLocationsPagedCallable().futureCall(request);
// Do something.
for (Location element : future.get().iterateAll()) {
// doThingsWith(element);
}
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<com.google.cloud.location.ListLocationsRequest,ListLocationsPagedResponse> |
|
retrieveToolSchema(RetrieveToolSchemaRequest request)
public final RetrieveToolSchemaResponse retrieveToolSchema(RetrieveToolSchemaRequest request)Retrieve the schema of the given tool. The schema is computed on the fly for the given instance of the tool.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
RetrieveToolSchemaRequest request =
RetrieveToolSchemaRequest.newBuilder()
.setParent(AppName.of("[PROJECT]", "[LOCATION]", "[APP]").toString())
.build();
RetrieveToolSchemaResponse response = toolServiceClient.retrieveToolSchema(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
RetrieveToolSchemaRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
RetrieveToolSchemaResponse |
|
retrieveToolSchemaCallable()
public final UnaryCallable<RetrieveToolSchemaRequest,RetrieveToolSchemaResponse> retrieveToolSchemaCallable()Retrieve the schema of the given tool. The schema is computed on the fly for the given instance of the tool.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
RetrieveToolSchemaRequest request =
RetrieveToolSchemaRequest.newBuilder()
.setParent(AppName.of("[PROJECT]", "[LOCATION]", "[APP]").toString())
.build();
ApiFuture<RetrieveToolSchemaResponse> future =
toolServiceClient.retrieveToolSchemaCallable().futureCall(request);
// Do something.
RetrieveToolSchemaResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<RetrieveToolSchemaRequest,RetrieveToolSchemaResponse> |
|
retrieveTools(RetrieveToolsRequest request)
public final RetrieveToolsResponse retrieveTools(RetrieveToolsRequest request)Retrieve the list of tools included in the specified toolset.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
RetrieveToolsRequest request =
RetrieveToolsRequest.newBuilder()
.setToolset(
ToolsetName.of("[PROJECT]", "[LOCATION]", "[APP]", "[TOOLSET]").toString())
.addAllToolIds(new ArrayList<String>())
.build();
RetrieveToolsResponse response = toolServiceClient.retrieveTools(request);
}
| Parameter | |
|---|---|
| Name | Description |
request |
RetrieveToolsRequestThe request object containing all of the parameters for the API call. |
| Returns | |
|---|---|
| Type | Description |
RetrieveToolsResponse |
|
retrieveToolsCallable()
public final UnaryCallable<RetrieveToolsRequest,RetrieveToolsResponse> retrieveToolsCallable()Retrieve the list of tools included in the specified toolset.
Sample code:
// This snippet has been automatically generated and should be regarded as a code template only.
// It will require modifications to work:
// - It may require correct/in-range values for request initialization.
// - It may require specifying regional endpoints when creating the service client as shown in
// https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
try (ToolServiceClient toolServiceClient = ToolServiceClient.create()) {
RetrieveToolsRequest request =
RetrieveToolsRequest.newBuilder()
.setToolset(
ToolsetName.of("[PROJECT]", "[LOCATION]", "[APP]", "[TOOLSET]").toString())
.addAllToolIds(new ArrayList<String>())
.build();
ApiFuture<RetrieveToolsResponse> future =
toolServiceClient.retrieveToolsCallable().futureCall(request);
// Do something.
RetrieveToolsResponse response = future.get();
}
| Returns | |
|---|---|
| Type | Description |
UnaryCallable<RetrieveToolsRequest,RetrieveToolsResponse> |
|
shutdown()
public void shutdown()shutdownNow()
public void shutdownNow()